﻿@using Microsoft.AspNet.Identity
@using System.Security.Claims
@if (Request.IsAuthenticated)
			{
				var identity = (ClaimsIdentity)User.Identity;
				var name = identity.FindFirstValue(ClaimTypes.GivenName) ?? identity.GetUserName();
				using (Html.BeginForm("LogOff", "Account", FormMethod.Post, new { id = "logoutForm", @class = "navbar-right" }))
				{
					@Html.AntiForgeryToken()
					<text>


						<ul class="nav navbar-nav navbar-right">
				<li class="navbar-text">
					@Html.ActionLink("Hello " + name + "!", "Manage", "Account", routeValues: null, htmlAttributes: new { title = "Manage" })
				</li>
				<li class="navbar-text">
					<a href="javascript:document.getElementById('logoutForm').submit()">Log off</a>
				</li>
			</ul>
		</text>
	}
}
else
{
	<ul class="nav navbar-nav navbar-right">
		<li>@Html.ActionLink("Sign in", "Login", "Account", routeValues: null, htmlAttributes: new { id = "loginLink" })</li>
		<li>@Html.ActionLink("Register", "Register", "Account", routeValues: null, htmlAttributes: new { id = "loginLink" })</li>
	</ul>
}